package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
* @title: 新生维护信息分页列表出参
* @Author dzx
* @Date: 2024-06-27
* @Version 1.0
*/
@Data
public class BaseNewStudentExportVo {

    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;

    @ExcelProperty("班主任")
    @ApiModelProperty("班主任")
    private String teacherName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别中文")
    private String genderCn;
    /**
    * 身份证号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("身份证号")
    @ApiModelProperty("身份证号")
    private String credentialNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("手机号")
    @ApiModelProperty("手机号")
    private String mobile;

    @ExcelProperty("家长联系电话")
    @ApiModelProperty("家长联系电话")
    private String familyMobile;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生来源")
    @ApiModelProperty("学生来源")
    private String sourceCn;

    @ExcelProperty("就读方式")
    @ApiModelProperty("就读方式")
    private String stduyStatusCn;

    @ExcelProperty("报到状态")
    private String reportStatus;

    @ExcelProperty("报到时间")
    @ApiModelProperty("报到时间")
    private LocalDate reportTime;

}
